Skip to main content

Create Service Request: RealPage Partner Exchange

POSThttps://api.propexo.com/v1/service-requests/realpage_rpx/
MethodInterface
AddServiceRequestFacilities
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstringrequired

    The Propexo unique identifier for the unit

    service_request_location_idstringrequired

    The Propexo unique identifier for the service request location

    service_request_problem_idstringrequired

    The Propexo unique identifier for the service request problem

    service_request_priority_idstring

    The Propexo unique identifier for the service request priority

    access_is_authorized_valuestring

    Type of permission needed to enter the unit. Possible values: "ENTER_AT_ANY_TIME" - Enter any time, "BY_PERMISSION_ONLY" - By permission only, "CALL_FOR_ENTRY" - Call for entry

    Show 3 enum values
    ENTER_AT_ANY_TIMEBY_PERMISSION_ONLYCALL_FOR_ENTRY
    date_duestringrequired

    The due date associated with the service request

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    access_notesstring

    Notes regarding access to the unit associated with the service request

    date_createdstring

    The date the service request was created

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    service_detailsstring

    Details about the service request

    access_is_authorizedbooleandeprecated

    DEPRECATED: Use access_is_authorized_value instead. Whether or not the tenant has granted permission to enter the unit associated with the service request

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    unit_idstringrequired

    The Propexo unique identifier for the unit

    service_request_location_idstringrequired

    The Propexo unique identifier for the service request location

    service_request_problem_idstringrequired

    The Propexo unique identifier for the service request problem

    service_request_priority_idstring | nullnullablerequired

    The Propexo unique identifier for the service request priority

    access_is_authorized_valuestring | nullnullablerequired

    Type of permission needed to enter the unit. Possible values: "ENTER_AT_ANY_TIME" - Enter any time, "BY_PERMISSION_ONLY" - By permission only, "CALL_FOR_ENTRY" - Call for entry

    Show 3 enum values
    ENTER_AT_ANY_TIMEBY_PERMISSION_ONLYCALL_FOR_ENTRY
    date_duestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    access_notesstring | nullnullablerequired

    Notes regarding access to the unit associated with the service request

    date_createdstring | nullnullablerequired

    The date the service request was created

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    service_detailsstring | nullnullablerequired

    Details about the service request

    access_is_authorizedboolean | nullnullablerequireddeprecated

    DEPRECATED: Use access_is_authorized_value instead. Whether or not the tenant has granted permission to enter the unit associated with the service request

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/realpage_rpx/
curl -X POST https://api.propexo.com/v1/service-requests/realpage_rpx/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"unit_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"date_due": "2024-07-29T15:51:28.071Z"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"unit_id": "string",
"service_request_location_id": "string",
"service_request_problem_id": "string",
"service_request_priority_id": "string",
"access_is_authorized_value": "ENTER_AT_ANY_TIME",
"date_due": "2024-07-29T15:51:28.071Z",
"access_notes": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_details": "string"
}
}